it.csi.mddtools.guigen

## Interface StdMessagePanel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Panel

      public interface StdMessagePanel
      extends Panel

  A representation of the model object 'Std Message Panel'. Pannello di visualizzazione di messaggi. Permette di visualizzare:
  - informativi
  - di errore associati ai singoli campi
  - di errore globali

  The following features are supported:

  - `Show Global Messages`
  - `Show Field Error Details`
  - `Show Field Errors`
  See Also:
    `GuigenPackage.getStdMessagePanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isShowFieldErrorDetails()` Returns the value of the 'Show Field Error Details' attribute
    `boolean` | `isShowFieldErrors()` Returns the value of the 'Show Field Errors' attribute
    `boolean` | `isShowGlobalMessages()` Returns the value of the 'Show Global Messages' attribute
    `void` | `setShowFieldErrorDetails(boolean value)` Sets the value of the '`Show Field Error Details`' attribute
    `void` | `setShowFieldErrors(boolean value)` Sets the value of the '`Show Field Errors`' attribute
    `void` | `setShowGlobalMessages(boolean value)` Sets the value of the '`Show Global Messages`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.Panel

      `getLabel, getLayout, getLayoutSpec, getName, isScrollable, setLabel, setLayout, setLayoutSpec, setName, setScrollable`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isShowGlobalMessages

          boolean isShowGlobalMessages()

      Returns the value of the 'Show Global Messages' attribute.

      If the meaning of the 'Show Global Messages' attribute isn't clear, there really should be more of a description here...

      Impostare a true se si desidera visualizzare i messaggi di errore globali
      Returns:
        the value of the 'Show Global Messages' attribute.
      See Also:
        `setShowGlobalMessages(boolean)`, `GuigenPackage.getStdMessagePanel_ShowGlobalMessages()`

    - #### setShowGlobalMessages

          void setShowGlobalMessages(boolean value)

      Sets the value of the '`Show Global Messages`' attribute.
      Parameters:
        `value` - the new value of the 'Show Global Messages' attribute.
      See Also:
        `isShowGlobalMessages()`

    - #### isShowFieldErrorDetails

          boolean isShowFieldErrorDetails()

      Returns the value of the 'Show Field Error Details' attribute.

      If the meaning of the 'Show Field Error Details' attribute isn't clear, there really should be more of a description here...

      Impostare a true se si desidera visualizzare i messaggi di errore relativi ai vari field.
      Returns:
        the value of the 'Show Field Error Details' attribute.
      See Also:
        `setShowFieldErrorDetails(boolean)`, `GuigenPackage.getStdMessagePanel_ShowFieldErrorDetails()`

    - #### setShowFieldErrorDetails

          void setShowFieldErrorDetails(boolean value)

      Sets the value of the '`Show Field Error Details`' attribute.
      Parameters:
        `value` - the new value of the 'Show Field Error Details' attribute.
      See Also:
        `isShowFieldErrorDetails()`

    - #### isShowFieldErrors

          boolean isShowFieldErrors()

      Returns the value of the 'Show Field Errors' attribute.

      If the meaning of the 'Show Field Errors' attribute isn't clear, there really should be more of a description here...

      Impostare a true se si desidera visualizzare i messaggi di errore
      Returns:
        the value of the 'Show Field Errors' attribute.
      See Also:
        `setShowFieldErrors(boolean)`, `GuigenPackage.getStdMessagePanel_ShowFieldErrors()`

    - #### setShowFieldErrors

          void setShowFieldErrors(boolean value)

      Sets the value of the '`Show Field Errors`' attribute.
      Parameters:
        `value` - the new value of the 'Show Field Errors' attribute.
      See Also:
        `isShowFieldErrors()`